# Uses of Enum
com.github.lgooddatepicker.durationpicker_underconstruction.DurationUnit

Packages that use DurationUnit
Package
Description
com.github.lgooddatepicker.durationpicker_underconstruction

## Uses of DurationUnit in com.github.lgooddatepicker.durationpicker_underconstruction

Fields in com.github.lgooddatepicker.durationpicker_underconstruction declared as DurationUnit
Modifier and Type
Field
Description
`DurationUnit`
DurationConverterSettings.`largestUsedUnit`
`DurationUnit`
DurationConverterSettings.`smallestUsedUnit`
Fields in com.github.lgooddatepicker.durationpicker_underconstruction with type parameters of type DurationUnit
Modifier and Type
Field
Description
`HashMap<DurationUnit,Boolean>`
DurationConverterSettings.`pluralUnitsMap`
`HashMap<DurationUnit,ArrayList<String>>`
DurationConverterSettings.`translationsParsingPrefixes`
`HashMap<DurationUnit,String>`
DurationConverterSettings.`translationsUnitsPlural`
`HashMap<DurationUnit,String>`
DurationConverterSettings.`translationsUnitsSingular`
Methods in com.github.lgooddatepicker.durationpicker_underconstruction that return DurationUnit
Modifier and Type
Method
Description
`static DurationUnit`
DurationUnit.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DurationUnit[]`
DurationUnit.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.github.lgooddatepicker.durationpicker_underconstruction that return types with arguments of type DurationUnit
Modifier and Type
Method
Description
`HashMap<DurationUnit,Boolean>`
DurationConverterSettings.`getSimplePluralUnitsMap(boolean settingForAllUnits)`